
package WebServicesSF;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.6-1b01 
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "wsGenerarPlano", targetNamespace = "http://generictransfer.com/", wsdlLocation = "http://190.60.225.142/GTIntegration/ServiciosWeb/wsGenerarPlano.asmx?WSDL")
public class WsGenerarPlano
    extends Service
{

    private final static URL WSGENERARPLANO_WSDL_LOCATION;
    private final static WebServiceException WSGENERARPLANO_EXCEPTION;
    private final static QName WSGENERARPLANO_QNAME = new QName("http://generictransfer.com/", "wsGenerarPlano");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://190.60.225.142/GTIntegration/ServiciosWeb/wsGenerarPlano.asmx?WSDL");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        WSGENERARPLANO_WSDL_LOCATION = url;
        WSGENERARPLANO_EXCEPTION = e;
    }

    public WsGenerarPlano() {
        super(__getWsdlLocation(), WSGENERARPLANO_QNAME);
    }

    public WsGenerarPlano(WebServiceFeature... features) {
        super(__getWsdlLocation(), WSGENERARPLANO_QNAME, features);
    }

    public WsGenerarPlano(URL wsdlLocation) {
        super(wsdlLocation, WSGENERARPLANO_QNAME);
    }

    public WsGenerarPlano(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, WSGENERARPLANO_QNAME, features);
    }

    public WsGenerarPlano(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public WsGenerarPlano(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns WsGenerarPlanoSoap
     */
    @WebEndpoint(name = "wsGenerarPlanoSoap")
    public WsGenerarPlanoSoap getWsGenerarPlanoSoap() {
        return super.getPort(new QName("http://generictransfer.com/", "wsGenerarPlanoSoap"), WsGenerarPlanoSoap.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns WsGenerarPlanoSoap
     */
    @WebEndpoint(name = "wsGenerarPlanoSoap")
    public WsGenerarPlanoSoap getWsGenerarPlanoSoap(WebServiceFeature... features) {
        return super.getPort(new QName("http://generictransfer.com/", "wsGenerarPlanoSoap"), WsGenerarPlanoSoap.class, features);
    }

    /**
     * 
     * @return
     *     returns WsGenerarPlanoSoap
     */
    @WebEndpoint(name = "wsGenerarPlanoSoap12")
    public WsGenerarPlanoSoap getWsGenerarPlanoSoap12() {
        return super.getPort(new QName("http://generictransfer.com/", "wsGenerarPlanoSoap12"), WsGenerarPlanoSoap.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns WsGenerarPlanoSoap
     */
    @WebEndpoint(name = "wsGenerarPlanoSoap12")
    public WsGenerarPlanoSoap getWsGenerarPlanoSoap12(WebServiceFeature... features) {
        return super.getPort(new QName("http://generictransfer.com/", "wsGenerarPlanoSoap12"), WsGenerarPlanoSoap.class, features);
    }

    private static URL __getWsdlLocation() {
        if (WSGENERARPLANO_EXCEPTION!= null) {
            throw WSGENERARPLANO_EXCEPTION;
        }
        return WSGENERARPLANO_WSDL_LOCATION;
    }

}
